New Search

Windows Text Service Framework Elevation of Privilege Vulnerability - CVE-2020-1314

oval:org.cisecurity:def:7777

An elevation of privilege vulnerability exists in Windows Text Service Framework (TSF) when the TSF server fails to properly handle messages sent from TSF clients. An attacker who successfully exploited this vulnerability could run arbitrary code in a privileged process. An attacker could then install programs; view change or delete data; or create new accounts with full user rights. To exploit this vulnerability an attacker would first have to log on to the system. An attacker could then run a specially crafted application that could exploit the vulnerability and take control of an affected system. The update addresses this vulnerability by correcting how TSF server handles messages in memory.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2016
  • Microsoft Windows 10
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008
  • Microsoft Windows 8.1
  • Microsoft Windows 7
  • Microsoft Windows Server 2019
Class:
vulnerability
Reference(s):
  • CVE-2020-1314
  • MSRC-CVE-2020-1314
  • KB4561669
  • KB4561645
  • KB4561674
  • KB4561673
  • KB4561649
  • KB4561616
  • KB4561602
  • KB4561621
  • KB4561608
  • KB4560960
Product(s):